Name:          neard
Version:       0.16
Release:       1%{?dist}
Summary:       Near Field Communication (NFC) manager
License:       GPLv2
URL:           https://01.org/linux-nfc/
Source0:       https://www.kernel.org/pub/linux/network/nfc/%{name}-%{version}.tar.xz

BuildRequires: dbus-devel
BuildRequires: gcc
BuildRequires: glib2-devel
BuildRequires: libnl3-devel

%description
neard is an NFC (Near Field Communication) daemon for managing NFC operations 
on devices running the Linux operating system. It relies on the Linux kernel NFC 
socket and generic netlink families, and is a fully modular system that can be 
extended through plug-ins.

It supports all 4 NFC tag types reading and writing, along with NFC LLCP 
(peer to peer mode) in both target and initiator modes.

%package devel
Summary: Development package for neard
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with neard.

%prep
%setup -q

%build
%configure

make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

rm -f %{buildroot}/usr/include/version.h
# nfctool man page, has build/install issues, needs a upstream bug report
rm -rf %{buildroot}/%{_mandir}/man1/

%check
make check %{?_smp_mflags} V=1

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%{_sysconfdir}/dbus-1/system.d/org.neard.conf
%{_unitdir}/neard.service
%{_libexecdir}/nfc/neard
%{_mandir}/man5/neard.conf.5*
%{_mandir}/man8/neard.8*

%files devel
%doc doc/*txt
%{_includedir}/near/
%{_libdir}/pkgconfig/neard.pc

%changelog
* Tue May 16 2017 Peter Robinson <pbrobinson@fedoraproject.org> 0.16-1
- Initial package
